;
; ledflash.s: prende y apaga leds de la DE0 cada 250ms
;

.equ P_LED 0x84

.text

main:
        ld sp, 0x0000
        ld a, 0
        
toggle: cpl
        out (P_LED), a
        call delay_250ms
        jr toggle
        
delay_250ms:
        ld b, 250
slow_loop:   
		call delay_250us
        call delay_250us
        call delay_250us
        call delay_250us
        djnz slow_loop

delay_250us: 
        push af      ; 11T  
        push bc      ; 11T
        ld b, 82     ; 7T
loop:   ex (sp),ix   ; 23T
        ex (sp),ix   ; 23T
        ex (sp),ix   ; 23T
        ex (sp),ix   ; 23T
        ex (sp),ix   ; 23T
        ex (sp),ix   ; 23T
        djnz loop    ; 8T/13T
        pop bc       ; 10T
        pop af       ; 10T
        ret          ; 10T

.end
